#### PyKDE - Python Bindings for KDE

# class KFileMetaInfoProvider

Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KFileMetaInfoProvider
Inherits | QObject

### methods

- KFileMetaInfoProvider ()

  Not Implemented

- KFileMetaInfoProvider ()

  returns a KFileMetaInfoProvider instance

- mimeTypeInfo (mimeType)

  returns (KFileMimeTypeInfo)

  Argument | Type | Default
  --- | --- | ---
  mimeType | QString |

- plugin (mimeType)

  returns (KFilePlugin)

  Argument | Type | Default
  --- | --- | ---
  mimeType | QString |

- preferredGroups (mimeType)

  returns (QStringList)

  Argument | Type | Default
  --- | --- | ---
  mimeType | QString |

- preferredKeys (mimeType)

  returns (QStringList)

  Argument | Type | Default
  --- | --- | ---
  mimeType | QString |

- self ()

  returns (KFileMetaInfoProvider)
  static

- supportedMimeTypes ()

  returns (QStringList)
  In versions KDE 3.1.0 and above only